> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wellwallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AML report by uid



## OpenAPI

````yaml /openapi.json post /aml-report-recheck
openapi: 3.0.3
info:
  description: API documentation for Crypto service
  title: Crypto API
  version: 1.0.0
servers:
  - description: Development
    url: https://tag.alfa-bot.com/api/prod/v1
security:
  - apiKeyAuth: []
tags:
  - description: Methods for working with wallets
    name: Wallets
  - description: Methods related to users
    name: User
  - description: Methods for AML verification
    name: AML
  - description: Test methods
    name: Test
  - description: Methods for withdrawal funds
    name: Withdrawal
  - description: Methods for working with transactions
    name: Transactions
  - description: Methods for working with exchange transactions
    name: Exchange
paths:
  /aml-report-recheck:
    post:
      tags:
        - AML
      summary: Get AML report by uid
      operationId: postAmlReportRecheck
      requestBody:
        content:
          application/json:
            schema:
              properties:
                uid:
                  type: string
                  example: 11aa04033dcac58816e4cb53e8592280a1f897bd4
                  description: >-
                    uid received in response to POST /aml-report (with async =
                    true)
              required:
                - uid
              type: object
        required: true
      responses:
        '200':
          description: OK - AML recheck response by uid
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - error_code
                  - error_message
                  - data
                properties:
                  code:
                    type: string
                    description: Response code.
                    example: '200'
                  error_code:
                    type: string
                    nullable: true
                    description: >-
                      Application-level error code. Null for successful
                      responses.
                    example: null
                  error_message:
                    type: string
                    nullable: true
                    description: >-
                      Human-readable error message. Null for successful
                      responses.
                    example: null
                  data:
                    type: object
                    description: >-
                      Response data. For async=true it contains uid. For
                      async=false or completed recheck it contains AML report
                      fields. For recheck provider errors it may contain code,
                      error_code and error_message.
                    additionalProperties: true
                    properties:
                      uid:
                        type: string
                        description: UID for async AML report result recheck.
                        example: 11aa04033dcac58816e4cb53e8592280a1f897bd4
                      user_id:
                        type: string
                        example: '111'
                      message:
                        type: string
                        description: Formatted AML report message.
                        example: '<b>Transaction ID: </b>96fe2354...'
                      aml_score:
                        type: number
                        example: 100
                      params:
                        type: object
                        description: AML report params returned by provider.
                        additionalProperties: true
                        example:
                          owner: N/A
                          transactions:
                            total: 0
                            inputs: 0
                            outputs: 0
                          balances:
                            TRX: 0
                            USDT: 0
                          last_operation: null
                          risk:
                            score: 100
                      pdf_link:
                        type: string
                        format: uri
                        example: https://fproxy.alfa-bot.com/file/1.pdf
                      checks_balance:
                        type: string
                        example: '10'
                      code:
                        type: string
                        example: '400'
                      error_code:
                        type: string
                        example: request
                      error_message:
                        type: string
                        example: 'Unsupported network: abc'
              examples:
                successAml:
                  summary: Successful AML report by uid
                  description: >-
                    Response returned when AML recheck is completed
                    successfully.
                  value:
                    code: '200'
                    error_code: null
                    error_message: null
                    data:
                      user_id: '111'
                      message: >
                        <b>Transaction ID:
                        </b>96fe2354bd498d9eb844452dc6b8e7f84f6ae33f0625bb63dcd024be7722669a

                        -------------------


                        Low - Low; Medium - Medium;

                        High - High; Very high - Very high


                        <b>Risk: </b>Very high (100)


                        Search <b>Sources of funding:</b>


                        <b>By type:</b>


                        unknown wallet / otc / service - 41.3%

                        maximum depth reached - 15.62%

                        Exchange - 20.29%

                        small transactions - 13.35%

                        OFSI Sanctions - 5.51%

                        unknown smart contract - 2.39%

                        Low-risk exchange - 1.18%

                        Reported hack - 0.17%

                        Instant exchange - 0.15%
                      aml_score: 100
                      params:
                        owner: N/A
                        transactions:
                          total: 0
                          inputs: 0
                          outputs: 0
                        balances:
                          TRX: 0
                          USDT: 0
                        last_operation: null
                        risk:
                          score: 100
                        sources_of_funding:
                          unknown wallet / otc / service: 41.3
                          maximum depth reached: 15.62
                          Bybit: 15.17
                          small transactions: 13.35
                          HTX: 5.51
                          unknown smart contract: 2.39
                          Brasil Bitcoin: 2.04
                          KuCoin: 1.93
                          Binance: 1.18
                          Tothemoon (ex. Cryptology): 0.56
                          VALR: 0.32
                          Reported hack: 0.17
                          FixedFloat: 0.15
                          Kyrrex: 0.12
                          Coins.ph: 0.11
                        types_of_funding:
                          unknown wallet / otc / service: 41.3
                          maximum depth reached: 15.62
                          Exchange: 20.29
                          small transactions: 13.35
                          OFSI Sanctions: 5.51
                          unknown smart contract: 2.39
                          Low-risk exchange: 1.18
                          Reported hack: 0.17
                          Instant exchange: 0.15
                      pdf_link: https://fproxy.alfa-bot.com/file/1.pdf
                      checks_balance: '10'
                errorAml:
                  summary: AML provider/request error returned inside 200 response
                  description: >-
                    Response returned when the recheck endpoint responds with
                    HTTP 200 but the AML result contains a request error in
                    data.
                  value:
                    code: '200'
                    error_code: null
                    error_message: null
                    data:
                      code: '400'
                      error_code: request
                      error_message: 'Unsupported network: abc'
        '400':
          description: Bad Request - API key has no permission or request is invalid
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - error_code
                  - error_message
                  - data
                properties:
                  code:
                    type: string
                    description: Response code.
                    example: '400'
                  error_code:
                    type: string
                    nullable: true
                    description: >-
                      Application-level error code. Null for successful
                      responses.
                    example: request
                  error_message:
                    type: string
                    nullable: true
                    description: >-
                      Human-readable error message. Null for successful
                      responses.
                    example: Validation failed
                  data:
                    type: object
                    nullable: true
                    description: Additional error details when available.
                    additionalProperties: true
              examples:
                apiKeyNoPermission:
                  summary: API key has no permission
                  value:
                    code: '400'
                    error_code: system
                    error_message: >-
                      Your api_key does not have permission to perform this
                      action
                    data: null
        '500':
          description: Internal Server Error - system error
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - error_code
                  - error_message
                  - data
                properties:
                  code:
                    type: string
                    description: Response code.
                    example: '500'
                  error_code:
                    type: string
                    nullable: true
                    description: >-
                      Application-level error code. Null for successful
                      responses.
                    example: system
                  error_message:
                    type: string
                    nullable: true
                    description: >-
                      Human-readable error message. Null for successful
                      responses.
                    example: Validation failed
                  data:
                    type: object
                    nullable: true
                    description: Additional error details when available.
                    additionalProperties: true
              examples:
                systemError:
                  summary: System error
                  value:
                    code: '500'
                    error_code: system
                    error_message: System error
                    data: null
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: token
      type: apiKey
      description: Pass your API token in the `token` request header.

````